<!doctype html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport"
        content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>Document</title>
</head>
<script>

    let Name = prompt("Input your Name");
    alert("Your name is:  " +Name);
    let Age = prompt("Input your Age");
    if (Age < 18) {
        alert("You are not allowed to visit this website");
    }
    else if ( Age <= 22 ) {
        if (confirm("Are you sure you want to continue?")) {
            alert ("Welcome, " +Name) ;
        } else {
            alert ("You are not allowed to visit this website");
        }
    }
    else {
        alert("Welcome, " +Name);
    }

</script>


</html>